%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

Summary:        Frozen Bubble arcade game.
Name:           frozen-bubble
Version:        1.0.0
Release:        5%{?dist}
License:        GPL
Group:          Amusements/Games
Source0:        http://zarb.org/~gc/fb/frozen-bubble-1.0.0.tar.bz2
Source1:        frozen-bubble.desktop
Patch0:         %{name}-build.patch
Patch1:         http://ftp.debian.org/debian/pool/main/f/frozen-bubble/frozen-bubble_1.0.0-6.diff.gz
URL:            http://www.frozen-bubble.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl-SDL >= 0:1.19.0, perl-SDL < 0:2.0
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl-SDL >= 0:1.19.0
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer-devel >= 0:1.2.2
BuildRequires:  desktop-file-utils

%description
Full-featured, colorful animated penguin eyecandy, 100 levels of 1p game,
hours and hours of 2p game, 3 professional quality 20-channels musics, 15
stereo sound effects, 7 unique graphical transition effects and a level
editor.  You need this game.


%prep
%setup -q
%patch0 -p0
%patch1 -p1


%build
make %{?_smp_mflags} \
  OPTIMIZE="${RPM_OPT_FLAGS}" \
  PREFIX="%{_prefix}" \
  INSTALLDIRS=vendor


%install
rm -rf ${RPM_BUILD_ROOT}
make install \
	PREFIX=${RPM_BUILD_ROOT}%{_prefix} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_ROOT}%{perl_vendorarch}/{build_fbsyms,perllocal.pod}
find ${RPM_BUILD_ROOT} -name .xvpics | xargs rm -rf
chmod -R u+w $RPM_BUILD_ROOT/*

install -Dpm 644 icons/frozen-bubble-icon-48x48.png \
	${RPM_BUILD_ROOT}%{_datadir}/pixmaps/frozen-bubble.png

desktop-file-install --vendor livna                    \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --mode 644                                           \
  --add-category X-Livna                               \
  %{SOURCE1}

rm -f ${RPM_BUILD_ROOT}%{perl_vendorarch}/auto/fb_c_stuff/.packlist
rm -f ${RPM_BUILD_ROOT}%{perl_vendorarch}/auto/fb_c_stuff/fb_c_stuff.bs


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc AUTHORS CHANGES COPYING README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man6/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/*.pm


%changelog
* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Tue Nov 16 2004 Thorsten Leemmhuis <fedora [AT] leemhuis [DOT] info> - 0:1.0.0-0.lvn.5
- Update to new Debian patch

* Sat Jul  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0.0-0.lvn.4
- Apply patch from Debian to make fb work with perl-SDL >= 1.20.3.
- Install Perl modules into vendor install dirs, require (:MODULE_COMPAT_*).
- Fix Source0 URL.
- Remove unneeded files.
- Fix file permissions.
- s/fedora/livna/ in desktop entry, other small improvements.

* Fri Jun 27 2003 Phillip Compton <pcompton at proteinmedia dot com> 0:1.0.0-0.fdr.3
- Removed BuildConflicts.
- Added Epochs to BuildReqs.
- Split Desktop entry into seperate file.

* Sun Jun 22 2003 Phillip Compton <pcompton at proteinmedia dot com> 0:1.0.0-0.fdr.2
- Fixed file permissions.
- Added in suggested fixes from Adrian Reber.

* Tue May 27 2003 Phillip Compton <pcompton at proteinmedia dot com> 0:1.0.0-0.fdr.1
- Fedorafied.

* Tue Apr  1 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Replace the __find_requires with AutoReq: as it works better.
- Remove .xvpics from installed files.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Tue Feb 18 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added missing man pages, thanke to Michal Ambroz.

* Mon Feb 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 1.0.0.

* Mon Oct 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0 (at last!).
- New menu entry.

* Thu Feb  7 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.3.

* Thu Feb  7 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file modifications for a Red Hat Linux release.

* Wed Feb  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-1mdk
- first mdk rpm

